desc_partial_reception.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the ISDB partial reception descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | isdb_partial_reception_service_id
| Service ID that uses partial reception. More...
struct | isdb_desc_partial_reception
| Structure containing the partial reception descriptor. More...

## Functions

int | isdb_desc_partial_reception_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the ISDB-T partial reception descriptor.
void | isdb_desc_partial_reception_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the ISDB-T partial reception descriptor.
void | isdb_desc_partial_reception_free (struct dvb_desc *desc)
| Frees all data allocated by the ISDB-T partial reception descriptor.

## Detailed Description

Provides the descriptors for the ISDB partial reception descriptor.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - IEC/CENELEC DS/EN 62216-1:2011

See also
  http://tdt.telecom.pt/recursos/apresentacoes/Signalling Specifications for DTT deployment in Portugal.pdf

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_partial_reception.h.